/**************************************************
* FILE NAME:  sqlfuncs.h  TITLE:  SQL API functions
*
* AUTHOR: Ken North     Resource Group, Inc.	
*                       2604B El Camino Real, #351
* copyright(c)1992      Carlsbad, CA 92008
***************************************************
* SYNOPSIS: 
*   Database Application Programming Interface (API)
*	function prototypes
***************************************************/

#ifndef __SQLFUNCS_H
#define __SQLFUNCS_H

#ifndef __DBTYPES_H
#include "dbtypes.h"
#endif

#ifndef __DATASRC_H
#include "datasrc.h"
#endif

#ifndef __REQUEST_H
#include "request.h"
#endif

				/* generic API functions */
int dbClose ( CONNECTION );
int dbConnect( CONNECTION, DATASRC );
int dbDisconnect( CONNECTION );
int dbFetch (VIEWINFO, int, char *);
int dbGetData (VIEWINFO, char *, int);
int dbDescribe( int, struct ColumnDesc *, REQUEST );
int dbRequest( REQUEST, char *, CONNECTION );
int dbPutData();

			/* implementation specific 	*/
char *DecodeQEDataType(int);
POINTER BuildConnectString(DATASRC);
int FindNumberOfColumns( HSTMT hstmt );

			/* debugging only			*/
#ifdef DEBUG
void pause(void);
#endif

#endif

